# Uses of Class
org.apache.lucene.queries.function.ValueSourceScorer

Packages that use ValueSourceScorer
Package
Description
org.apache.lucene.queries.function
Queries that compute score based upon a function.
org.apache.lucene.queries.function.docvalues
FunctionValues for different data types.

- ## Uses of ValueSourceScorer in org.apache.lucene.queries.function

  Methods in org.apache.lucene.queries.function that return ValueSourceScorer
  Modifier and Type
  Method
  Description
  `ValueSourceScorer`
  FunctionValues.`getRangeScorer(LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`
  Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.
  `ValueSourceScorer`
  FunctionValues.`getScorer(LeafReaderContext readerContext)`
  Yields a `Scorer` that matches all documents, and that which produces scores equal to `FunctionValues.floatVal(int)`.

- ## Uses of ValueSourceScorer in org.apache.lucene.queries.function.docvalues

  Methods in org.apache.lucene.queries.function.docvalues that return ValueSourceScorer
  Modifier and Type
  Method
  Description
  `ValueSourceScorer`
  DocTermsIndexDocValues.`getRangeScorer(LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`
  `ValueSourceScorer`
  DoubleDocValues.`getRangeScorer(LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`
  `ValueSourceScorer`
  IntDocValues.`getRangeScorer(LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`
  `ValueSourceScorer`
  LongDocValues.`getRangeScorer(LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`